Debian Bug report logs - #470664
kvm: can't boot with qcow image

version graph

Package: kvm; Maintainer for kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for kvm is src:qemu-kvm.

Reported by: Jonathan H N Chin <jhnc@newton.cam.ac.uk>

Date: Wed, 12 Mar 2008 16:54:05 UTC

Severity: important

Found in versions kvm/63+dfsg-1, kvm/66+dfsg-1

Fixed in version kvm/69+dfsg-1

Done: Jan Lübbe <jluebbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Luebbe <jluebbe@debian.org>:
Bug#470664; Package kvm. Full text and rfc822 format available.

Acknowledgement sent to Jonathan H N Chin <jhnc@newton.cam.ac.uk>:
New Bug report received and forwarded. Copy sent to Jan Luebbe <jluebbe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan H N Chin <jhnc@newton.cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kvm: can't boot with qcow image
Date: Wed, 12 Mar 2008 16:48:19 +0000
Package: kvm
Version: 63+dfsg-1
Severity: grave
Justification: renders package unusable


$ dpkg -l kvm | tail -1 | awk '{print $3}'
63+dfsg-1
$ qemu-img create -f qcow test.img 2G
Formatting 'test.img', fmt=qcow, size=2097152 kB
$ kvm -boot d -cdrom debian.img -hda test.img
qemu: could not open disk image test.img
$


$ dpkg -l kvm | tail -1 | awk '{print $3}'
62+dfsg-3
$ qemu-img create -f qcow test.img 2G
Formatting 'test.img', fmt=qcow, size=2097152 kB
$ kvm -boot d -cdrom debian.img -hda test.img
: => succeeds



-- Package-specific info:


selected information from lshal(1):

  smbios.bios.release_date = '05/21/2007'  (string)
  smbios.bios.vendor = 'Dell Inc.'  (string)
  smbios.bios.version = '2.3.1'  (string)
  smbios.chassis.manufacturer = 'Dell Inc.'  (string)
  smbios.chassis.type = 'Mini Tower'  (string)
  smbios.system.manufacturer = 'Dell Inc.'  (string)
  smbios.system.product = 'OptiPlex 745'  (string)
  smbios.system.serial = '5FHG03J'  (string)
  smbios.system.uuid = '44454C4C-4600-1048-8047-B5C04F30334A'  (string)
  smbios.system.version = ''  (string)


/proc/cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 CPU          6400  @ 2.13GHz
stepping	: 2
cpu MHz		: 2126.633
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4256.06
clflush size	: 64

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 CPU          6400  @ 2.13GHz
stepping	: 2
cpu MHz		: 2126.633
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4252.92
clflush size	: 64




-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kvm depends on:
hi  adduser                3.106             add and remove users and groups
hi  bridge-utils           1.4-1             Utilities for configuring the Linu
hi  iproute                20080108-1        Professional tools to control the 
ii  kvm-data               63+dfsg-1         Data files for the KVM package
hi  libasound2             1.0.16-2          ALSA library
hi  libc6                  2.7-9             GNU C Library: Shared libraries
hi  libgnutls26            2.2.2-1           the GNU TLS library - runtime libr
hi  libncurses5            5.6+20080203-1    Shared libraries for terminal hand
hi  libsdl1.2debian        1.2.13-2          Simple DirectMedia Layer
hi  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

Versions of packages kvm recommends:
hi  kvm-source                  63+dfsg-1    Source for the KVM driver
hi  linux-image-2.6.24-1-686 [l 2.6.24-4     Linux 2.6.24 image on PPro/Celeron
hi  qemu                        0.9.1-1      fast processor emulator
hi  vde2                        2.2.0-pre2-1 Virtual Distributed Ethernet

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Luebbe <jluebbe@debian.org>:
Bug#470664; Package kvm. Full text and rfc822 format available.

Acknowledgement sent to Jan Lübbe <jluebbe@lasnet.de>:
Extra info received and forwarded to list. Copy sent to Jan Luebbe <jluebbe@debian.org>. Full text and rfc822 format available.

Message #10 received at 470664@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@lasnet.de>
To: Jonathan H N Chin <jhnc@newton.cam.ac.uk>, 470664@bugs.debian.org
Subject: Re: Bug#470664: kvm: can't boot with qcow image
Date: Wed, 12 Mar 2008 18:48:15 +0100
This problem is caused by the fix for #469666. I'm still investigating
on how to solve this regression.
-- 
Jan Lübbe <jluebbe@lasnet.de>            http://sicherheitsschwankung.de
 gpg-key      1024D/D8480F2E 2002-03-20
 fingerprint  1B25 F91F 9E7B 5D4F 1282  02D6 8A83 8BE4 D848 0F2E





Bug marked as found in version 66+dfsg-1. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Tue, 29 Apr 2008 03:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#470664; Package kvm. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. Full text and rfc822 format available.

Message #17 received at 470664@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: 470664@bugs.debian.org
Subject: news?
Date: Tue, 13 May 2008 00:36:09 +1000
[Message part 1 (text/plain, inline)]
Hi

Any news on this bug yet?

Cheers
Steffen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#470664; Package kvm. Full text and rfc822 format available.

Acknowledgement sent to Jan Lübbe <jluebbe@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 470664@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: 470664@bugs.debian.org
Date: Sat, 24 May 2008 13:31:46 +0200
It is possible to use 'qcow2' instead of 'qcow'. Current 'qcow' images
can be converted using kvm-img. I'll lower the severity to important, as
it does not render the package unusable.

When a good fix for CVE-2009-0928 is available, 'qcow' should work
again.





Severity set to `important' from `grave' Request was from Jan Lübbe <jluebbe@debian.org> to control@bugs.debian.org. (Sat, 24 May 2008 11:36:11 GMT) Full text and rfc822 format available.

Reply sent to Jan Lübbe <jluebbe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonathan H N Chin <jhnc@newton.cam.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 470664-close@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: 470664-close@bugs.debian.org
Subject: Bug#470664: fixed in kvm 69+dfsg-1
Date: Mon, 26 May 2008 15:17:06 +0000
Source: kvm
Source-Version: 69+dfsg-1

We believe that the bug you reported is fixed in the latest version of
kvm, which is due to be installed in the Debian FTP archive:

kvm-source_69+dfsg-1_all.deb
  to pool/main/k/kvm/kvm-source_69+dfsg-1_all.deb
kvm_69+dfsg-1.diff.gz
  to pool/main/k/kvm/kvm_69+dfsg-1.diff.gz
kvm_69+dfsg-1.dsc
  to pool/main/k/kvm/kvm_69+dfsg-1.dsc
kvm_69+dfsg-1_i386.deb
  to pool/main/k/kvm/kvm_69+dfsg-1_i386.deb
kvm_69+dfsg.orig.tar.gz
  to pool/main/k/kvm/kvm_69+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Lübbe <jluebbe@debian.org> (supplier of updated kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 16:55:21 +0200
Source: kvm
Binary: kvm kvm-source
Architecture: source all i386
Version: 69+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Jan Lübbe <jluebbe@debian.org>
Changed-By: Jan Lübbe <jluebbe@debian.org>
Description: 
 kvm        - Full virtualization on x86 hardware
 kvm-source - Source for the KVM driver
Closes: 470664 481989
Changes: 
 kvm (69+dfsg-1) unstable; urgency=low
 .
   [ Jan Lübbe ]
   * New upstream releases (closes: #481989)
     - Fixes CVE-2007-1320 (Cirrus LGD-54XX "bitblt" heap overflow)
     - Fixes CVE-2008-2004 (format guessing vulnerability, drop the patch)
     - Update debian patches
   * Update upstream changelog
   * Update Vcs-* headers to git.debian.org
   * Drop kvm-data again, build and ship only those files relevant to the
     target arch
 .
   [ Soren Hansen ]
   * 03_bios_no_ssp.patch:
     - Pass -fno-stack-protector to gcc when building the bios image.
   * qemu_vnc_ext_key_event.diff:
     - Implement the Extended KeyEvent extension in kvm's embedded VNC server.
   * Add kvm init script that loads the appropriate kernel modules.
   * Update package description
     - We no longer support cpu emulation, so hardware support is required.
     - The standard kernel images provide the kernel modules, so compiling
       them yourself from kvm-source is now optional.
     - qemu is no longer needed for creating disk images, since we have kvm-img
       now.
   * Move kvm-source from "Recommends:" of kvm to "Suggests:", since the
     modules are in the standard kernel images.
   * Update CVE-2008-0928.patch to allow any bdrv request if vm is not
     running. This fixes the savevm monitor command.
     - This also fixes booting with qcow2 images (closes: #470664)
Checksums-Sha1: 
 cc8f3452781d43add2e719c151ddeb037cb258ee 1300 kvm_69+dfsg-1.dsc
 3ca48fb6ca1c89e9ddca11c72b7cc55dad0dffa0 3500729 kvm_69+dfsg.orig.tar.gz
 774c2d80916e75dfb813c00a2707d274b098b0aa 35500 kvm_69+dfsg-1.diff.gz
 bfb95faa171dcfc2a6b2c7c109df3fb3ca872aad 164098 kvm-source_69+dfsg-1_all.deb
 65c92954365dd12ccac3ec6e450866961568f053 804534 kvm_69+dfsg-1_i386.deb
Checksums-Sha256: 
 2f68ac5db7efc48dffd5e49bb5d71f8ea3e7dbf1986d9341db2c98b08a400965 1300 kvm_69+dfsg-1.dsc
 590061fd0712fec04df08dcf9042223af2b9b377807a8acf3b9a8da94a6a897d 3500729 kvm_69+dfsg.orig.tar.gz
 0b75a2bffad92b35a1ae5fd6af841f072813503d6143b4545155e434a487d6e7 35500 kvm_69+dfsg-1.diff.gz
 d25cb74ca4c7cd280eed274c07ecef30ed35928dc398c60ecab904b4a6ab8d59 164098 kvm-source_69+dfsg-1_all.deb
 151498a01f4810d36b94a67c199482f5f5fd19afd1719006672d0e26f9a35cfa 804534 kvm_69+dfsg-1_i386.deb
Files: 
 69e918b12f5cca5d010547234dbf82b2 1300 misc optional kvm_69+dfsg-1.dsc
 8f2d29ee9500dfc6074bcda1eadcc185 3500729 misc optional kvm_69+dfsg.orig.tar.gz
 a2a41461b03d4332f66ed47433466d7c 35500 misc optional kvm_69+dfsg-1.diff.gz
 0fc6dd270cb7e60933e01504277cbda7 164098 misc optional kvm-source_69+dfsg-1_all.deb
 bce5cfde89c159972300aba2a8433ab3 804534 misc optional kvm_69+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIOtNYioOL5NhIDy4RAjJ0AKDEWYll3yUnKBjUT+mfrN/FsBMIaQCgi3To
Y8BLBZVhs+uM14P+Ery7iUQ=
=X5Wx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Jun 2008 07:36:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:40:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.